apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: elasticsearch-data
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 2Gi

---

apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.1 (a9d05d509)
  creationTimestamp: null
  labels:
    io.kompose.service: elasticsearch
  name: elasticsearch
spec:
  ports:
    - name: "9200"
      port: 9200
      targetPort: 9200
  selector:
    io.kompose.service: elasticsearch
status:
  loadBalancer: {}

---

apiVersion: apps/v1
kind: Deployment
status: {}
metadata:
  annotations:
    kompose.cmd: "kompose convert"
    kompose.version: "1.26.1 (a9d05d509)"
  creationTimestamp: ~
  labels:
    io.kompose.service: elasticsearch
  name: elasticsearch
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: elasticsearch
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: "kompose convert"
        kompose.version: "1.26.1 (a9d05d509)"
      creationTimestamp: ~
      labels:
        io.kompose.service: elasticsearch
    spec:
      restartPolicy: Always
      containers:
        - name: elasticsearch
          image: "docker.elastic.co/elasticsearch/elasticsearch:8.4.1"
          env:
            - name: discovery.type
              value: single-node
            - name: xpack.security.enabled
              value: "false"
          ports:
            - containerPort: 9200
          resources: {}
          volumeMounts:
            - mountPath: /usr/share/elasticsearch/data
              name: elasticsearch-data
      volumes:
        - name: elasticsearch-data
          persistentVolumeClaim:
            claimName: elasticsearch-data
